<!doctype html public "-//W3C//DTD HTML 4.0 //EN">

<html>

<head>
<title>Registration Form with Progress Bar</title>

<script type="text/javascript" src="jquery-1.2.6.min.js"></script>
<link href="dependencies/screen.css" type="text/css" rel="stylesheet" />

<script type="text/javascript">
// <![CDATA[	

	$(document).ready(function(){	
	
	$('#Send').click(function() {  
		
		$("#Back").after('<img  src="load.gif" id="loader" />');
		
		// submit
		$.post("posts.php?"+$("#MYFORM").serialize()+'&'+$("#MYFORM").serialize(), {
			
		}, function(response){
		
			$("#loader").hide();
			
			$('#MYFORM_2').fadeOut('fast');
			
			$('#bar').animate( {
			  width: '348px',
			  opacity: 1,
			  left: '0px'
			} );
		
			$("#alert").html('Thanks ! Registration has been completed.').fadeIn('slow');
			
			clear_form();
			
		});
			
		return false;
	});
 	
	$('#Next').click(function() {
		
		var nameVal = $("#name").val();
		if(nameVal == '') 
		{
			$("#name").css("border-color", '#ff0000');
			return false
		}
		else
		{
			$("#name").css("border-color", '#CCCCCC');
		}
		
		/// email validation
		var emailReg = /^([\w-\.]+@([\w-]+\.)+[\w-]{2,4})?$/;
		var emailaddressVal = $("#email").val();
		
		if(emailaddressVal == '') 
		{
			$("#email").css("border-color", '#ff0000');
			return false;
		}
		else if(!emailReg.test(emailaddressVal)) 
		{
			$("#email").css("border-color", '#ff0000');
			return false;
		}
		else
		{
			$("#email").css("border-color", '#CCCCCC');
		}
		
		/// url validate
		var urlVal= $("#url").val();
		
		if(urlVal != 'http://') 
		{
			if(!isUrl(urlVal)) 
			{
				$("#url").css("border-color", '#ff0000');
				return false;
			}
			else
			{
				$("#url").css("border-color", '#CCCCCC');
			}
		}
		
		$('#MYFORM').fadeOut('fast');
		$('#MYFORM_2').fadeIn('slow');
		
		$('#bar').animate( {
		  width: '176px',
		  opacity: 1,
		  left: '0px'
		} );
		
	});
	
	$('#Back').click(function() {
		
		$('#MYFORM_2').fadeOut('fast');
		$('#MYFORM').fadeIn('slow');
		
		$('#bar').animate( {
		  width: '0px',
		  opacity: 1,
		  left: '0px'
		} );
		
	});
	
	function isUrl(s) {
		var regexp = /(ftp|http|https):\/\/(\w+:{0,1}\w*@)?(\S+)(:[0-9]+)?(\/|\/([\w#!:.?+=&%@!\-\/]))?/
		return regexp.test(s);
	}
	
	function clear_form()
	{
		$("#name").val('');
		$("#email").val('');
		$("#url").val('');
		$("#message").val('');
	}
});
// ]]>
</script>

</head>
<body>

	<div align="center">
		<h1>Registration Form with Progress Bar</h1>
		<br clear="all" />
		
		<div id="wrap">
		
			<label style="width:145px;" class="percentage"> 0% </label> <label style="width:148px;" class="percentage"> 50% </label> 
			<label style="width:20px;" class="percentage"> 100% </label>
			
			<br clear="all" />
			
			<div id="barOuter"><div id="bar"></div></div>
			 
			<br clear="all" />
			
			<div id="alert" align="center"></div>	
					
			<form action="#" name="MYFORM" id="MYFORM">
				
				<label>Name</label>
				<input name="name" size="33" type="text" id="name" />
				
				<br clear="all" />
				
				<label>Email</label>
				<input name="email" size="33" type="text" id="email" />
				<br clear="all" />
				
				<label>URL</label>
				<input name="url" size="33" type="text" id="url" value="http://" />
				
				<br clear="all" />
				
				<label>Bio</label>
				
				<br clear="all" />
				
				<textarea id="message" name="message"></textarea>
				
				<br clear="all" /><br clear="all" />
				
				<input value="Next Step" type="button" id="Next" />
		
			</form>
			
			<form action="#" name="MYFORM_2" id="MYFORM_2">
				
				<label>Phone</label>
				<input name="phone" size="33" type="text" id="phone" />
				
				<br clear="all" />
				
				<label>Fax</label>
				<input name="fax" size="33" type="text" id="fax" />
				<br clear="all" />
				
				<label>City</label>
				<input name="city" size="33" type="text" id="city">
				
				<br clear="all" />
				
				<label>Address</label>
				
				<br clear="all" />
				
				<textarea id="address" name="address"></textarea>
				
				<br clear="all" /><br clear="all" />
				
				<input value="Submit" type="button" id="Send" />
				<input value="Go Back" type="button" id="Back" />
		
			</form>
			
		</div>
		
		
	</div>

	<br clear="all" /><br clear="all" /><br clear="all" />
	<br clear="all" />

</body>
</html>
